Skip to main content

Create Purchase Order: Rent Manager

POSThttps://api.propexo.com/v1/purchase-orders/rentmanager/
Method
POST /PurchaseOrders
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    location_idstringrequired

    The Propexo unique identifier for the location

    employee_idstringrequired

    The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order

    descriptionstringrequired

    Description of the purchase order

    numberstringrequired

    The number of the purchase order

    order_datestringrequired

    The order date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsintegerrequired

    The total amount of the purchase order

    Possible values: >= 0

    shipping_address_1string

    The first address line associated with the shipping address for the purchase order

    billing_address_1string

    The first address line associated with the billing address for the purchase order

    purchase_order_items object[]required

    Line items for the purchase order. Each item represents a detail line in Rent Manager.

    Possible values: >= 1

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    construction_job_idstring

    The Propexo unique identifier for the construction job

    inventory_item_idstringrequired

    The Propexo unique identifier for the inventory item

    descriptionstringrequired

    Description of the purchase order item

    quantity_orderednumberrequired

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    Possible values: >= 0

    total_cost_in_centsintegerrequired

    The total cost, in cents, of the purchase order item

    Possible values: >= 0

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    location_idstringrequired

    The Propexo unique identifier for the location

    employee_idstringrequired

    The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order

    descriptionstringrequired

    Description of the purchase order

    numberstringrequired

    The number of the purchase order

    order_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsintegerrequired

    The total amount of the purchase order

    Possible values: >= 0

    shipping_address_1string | nullnullablerequired

    The first address line associated with the shipping address for the purchase order

    billing_address_1string | nullnullablerequired

    The first address line associated with the billing address for the purchase order

    purchase_order_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    construction_job_idstring

    The Propexo unique identifier for the construction job

    inventory_item_idstringrequired

    The Propexo unique identifier for the inventory item

    descriptionstringrequired

    Description of the purchase order item

    quantity_orderednumberrequired

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    Possible values: >= 0

    total_cost_in_centsintegerrequired

    The total cost, in cents, of the purchase order item

    Possible values: >= 0

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/purchase-orders/rentmanager/
curl -X POST https://api.propexo.com/v1/purchase-orders/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"purchase_order_items": [
{
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"shipping_address_1": "string",
"billing_address_1": "string",
"purchase_order_items": [
{
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}
}